/* ///////////////////
// MODAL TRASH /////
////////////////// */

.show-modal_trash {
  position: absolute;
  right: 1rem;
  top: 7.4rem;
  background-color: inherit;
  font-weight: 600;
  border: none;
  color: #444;
  cursor: pointer;
  background: transparent;
}

.show-modal_trash img {
  width: 3rem;
  height: 3rem;
}

.close-modal_trash {
  position: absolute;
  top: -1rem;
  right: 0.5rem;
  font-size: 4rem;
  color: #333;
  cursor: pointer;
  border: none;
  background: none;
}

.modal_trash {
  position: absolute;
  top: -3.5rem;
  right: 0rem;
  width: 17rem;
  height: 34.4rem;
  background-color: white;
  color: #333;
  padding: 2rem 0.5rem;
  border-radius: 5px;
  margin-top: 14rem;
  z-index: 9;
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid rgb(226, 226, 226);
  overflow-y: auto;
}

.hidden_trash {
  display: none;
}

.overlay_trash {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /*   background-color: rgba(0, 0, 0, 0.6); */
  /*   backdrop-filter: blur(3px); */
  z-index: 5;
}

/* Design för soptunnan */

.trash_name {
  padding-bottom: 1rem;
}

.trash_container {
  display: flex;
  flex-direction: column;
  border: 1px solid;
  width: 14rem;
  border-radius: 0.3rem;
  border: none;
  font-size: 1.3rem;
}

.trash_item {
  height: 14rem;
  border: 1px solid #e2e2e2;
  padding: 0.3rem;
  border-radius: 0.3rem;
  margin-bottom: 1.2rem;
}

.trash_item p {
  margin-top: 1rem;
  padding-top: 0.1rem;
  border-top: 1px solid #414549;
  font-size: 1rem;
}

.trash_color {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  height: 10rem;
}

.trash_title {
  margin-top: 0.5rem;
  font-size: 1.4rem;
}

.recover_this,
.delete_this {
  padding: 0.3rem 0.5rem;
  text-transform: uppercase;
  background-color: white;
  width: 80%;
  cursor: pointer;
  border-radius: 5px;
}

.recover_this:hover,
.delete_this:hover {
  transform: translateY(-2px);
  background-color: rgb(151, 201, 151);
}
/* 
/// Secret Window //// */

.show-modal_secret {
  position: absolute;
  right: 1rem;
  top: 12.4rem;
  background-color: inherit;
  font-weight: 600;
  border: none;
  color: #444;
  cursor: pointer;
  background: transparent;
}

.show-modal_secret img {
  width: 3rem;
  height: 3rem;
}

.close-modal_secret {
  position: absolute;
  top: -1rem;
  right: 0.5rem;
  font-size: 4rem;
  color: #333;
  cursor: pointer;
  border: none;
  background: none;
}

.modal_secret {
  position: absolute;
  top: 1rem;
  right: 0rem;
  width: 17rem;
  height: 35rem;
  background-color: white;
  padding: 2rem 0.5rem;
  border-radius: 5px;
  margin-top: 15rem;
  z-index: 9;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #333;
  border: 1px solid rgb(226, 226, 226);
  overflow-y: auto;
}

.hidden_secret {
  display: none;
}

.overlay_secret {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /*   background-color: rgba(0, 0, 0, 0.6); */
  /*   backdrop-filter: blur(3px); */
  z-index: 5;
}

/* Design för soptunnan */

.secret_name {
  padding-bottom: 1rem;
}

.secret_container {
  display: flex;
  flex-direction: column;
  border: 1px solid;
  width: 14rem;
  border-radius: 0.3rem;
  border: none;
  font-size: 1.3rem;
}

.secret_item {
  height: 14rem;
  border: 1px solid #e2e2e2;
  padding: 0.3rem;
  border-radius: 0.3rem;
  margin-bottom: 1.2rem;
}

.secret_item p {
  margin-top: 1rem;
  padding-top: 0.1rem;
  border-top: 1px solid #414549;
  font-size: 1rem;
}

.secret_color {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  height: 10rem;
}

.secret_title {
  margin-top: 0.5rem;
  font-size: 1.4rem;
}

.recover_this,
.delete_this {
  padding: 0.3rem 0.5rem;
  text-transform: uppercase;
  background-color: white;
  width: 80%;
}

.trash_buttons {
  margin-top: 1rem;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-items: center;
  align-items: center;
  text-align: center;
  margin-top: 3rem;
}

@keyframes vibrate {
  0%,
  100% {
    transform: translate(0);
  }
  10% {
    transform: translate(-2px, 2px);
  }
  20% {
    transform: translate(-2px, -2px);
  }
  30% {
    transform: translate(2px, 2px);
  }
  40% {
    transform: translate(2px, -2px);
  }
  50% {
    transform: translate(-2px, -2px);
  }
  60% {
    transform: translate(-2px, 2px);
  }
  70% {
    transform: translate(2px, -2px);
  }
  80% {
    transform: translate(2px, 2px);
  }
  90% {
    transform: translate(-2px, 2px);
  }
}

.vibrate-animation {
  animation: vibrate 0.5s ease infinite;
}

.vibrate-animation {
  animation: vibrate 0.5s ease infinite;
}

/* ///////////////////
// MODAL WINDOW /////
////////////////// */

.modal {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%;
  height: 90%;
  background-color: white;
  padding: 1rem;
  border-radius: 3px;
  box-shadow: 0 3rem 5rem rgba(0, 0, 0, 0.3);
  z-index: 10;
}

.hidden {
  display: none;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(3px);
  z-index: 5;
}

.window-hidden {
  display: none;
}

nav-modal {
  width: 100%;
}

.nav-ul {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 4.3rem;
  background-color: rgba(216, 223, 230, 0.635);
  border-radius: 8px;
  font-size: 1.4rem;
  flex-wrap: wrap;
}

.nav-ul li {
  margin-left: 1.5rem;
  margin-right: 1.5rem;
  padding: 0.3rem;
}

.nav-ul li:hover {
  background-color: rgba(216, 223, 230, 0.95);
  outline: 1px solid rgba(201, 205, 209, 0.95);
}

input#textFarg {
  outline: none;
  cursor: pointer;
}

select {
  background-color: rgba(216, 223, 230, 0.635);
  padding: 0.3rem 0.6rem;
  border: none;
}

#noteText {
  height: 80%;
  width: 70%;
  border: 1px solid rgba(201, 205, 209, 0.95);
  padding: 2rem 2rem 0 2rem;
  text-align: left;
  margin: 0 auto;
  margin-top: 0.8rem;
  border-radius: 8px;
  font-size: 1.4rem;
}

#note-title {
  padding: 1.2rem;
  text-align: center;
  /*  border: 1px solid #adb5bd; */
  width: 2.3 rem;
  border: transparent;
  border-radius: 0.8rem;
  background: #f1f3f4;
}

#boldButton {
  font-weight: bold;
  cursor: pointer;
}
#italicButton {
  font-style: italic;
}
#underlineButton {
  text-decoration: underline;
}

button {
  border: none;
  background-color: transparent;
  /* padding: 10px; */
  cursor: pointer;
}
.emphasisButtons button:hover {
  background-color: rgba(216, 223, 230, 0.95);
  outline: 1px solid rgba(201, 205, 209, 0.95);
}

#noteText h1 {
  font-size: 30px;
}
#noteText h2 {
  font-size: 25px;
}
#noteText h3 {
  font-size: 20px;
}

.emphasisButtons {
  display: flex;
  gap: 30px;
}
